ZenithPay iconZenithPay
API Reference

GET|POST /sell/agent-intel

x402-protected seller resource endpoint

Endpoint

GET  https://api.usezenithpay.xyz/sell/agent-intel
POST https://api.usezenithpay.xyz/sell/agent-intel

Auth

x402 payment flow via X-Payment header (no Bearer key).

Behavior

  1. No X-Payment header -> 402 Payment Required with Payment-Required header payload.
  2. With X-Payment header -> verify and settle through OKX x402, then return paid resource payload.

Challenge response (402)

Headers include:

  • Payment-Required
  • X-ZenithPay-Amount
  • X-ZenithPay-Network
  • X-ZenithPay-Token
  • X-ZenithPay-Receiver
{
  "agent": {
    "address": "0x726Cf0C4Fe559DB9A32396161694C7b88C60C947",
    "network": "X Layer",
    "chainId": 196
  },
  "portfolio": {
    "totalValueUsd": "123.45",
    "tokens": []
  },
  "payment": {
    "status": "settled",
    "txHash": "0x...",
    "network": "X Layer",
    "token": "USDG",
    "amount": "0.01",
    "payer": "0x...",
    "explorer": "https://www.oklink.com/xlayer/tx/0x..."
  }
}

On this page